<mat-card>
  <form [formGroup]="uploadForm" (ngSubmit)="putFiles()">
    <mat-card-content>
      <input #photoInput class="fileUpload" formControlName="document"  type="file" (change)="preview($event)" ng2FileSelect [accept]="fileTypeData" [uploader]="uploader" [multiple]="multiple"/><br/>
      <div class="drop-zone">
        <div ng2FileDrop (onFileDrop)="preview($event)" [uploader]="uploader" class="dropzone" (click)="photoInput.click()">
          <p class="msg">Click or Drag and drop files to upload</p>
        </div>
      </div>
      <div>
        <button mat-raised-button color="accent"  [disabled]="noneSelected()" type="submit">Upload</button>
      </div>

      <table>
        <thead>
        <tr>
          <th *ngIf="isMediaType()" width="20%">
            Preview
          </th>
          <th width="20%">
            File Name
          </th>
          <th width="15%">
            Size
          </th>
          <th *ngIf="!startUpload"  width="10%">
            Remove
          </th>
          <th *ngIf="startUpload"  width="45%">
            Progess
          </th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let upload of uploads">
          <th *ngIf="isMediaType()" width="20%">
            <img [src]="upload.url" width="50" height="50" alt="No image"/>
          </th>
          <th width="20%">
            {{ upload.item.file.name}}
          </th>
          <th width="15%">
            {{ upload.size }}
          </th>
          <th *ngIf="!startUpload" class="text-center" width="10%">
            <mat-icon (click)="deleteRow(upload.item)">delete</mat-icon>
          </th>
          <th *ngIf="startUpload" width="45%">
            <upload-task (onSucess)="deleteRow($event)" [upload]="upload" [storageLoc]="loc"></upload-task>
          </th>
        </tr>
        </tbody>
      </table>

    </mat-card-content>
  </form>
</mat-card>
